#version=DEVEL

# Documentation on Kickstart available here:
# https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/installation_guide/sect-kickstart-syntax

# Installer Options
url --mirrorlist=http://mirrorlist.centos.org/?release=7&arch=x86_64&repo=os
cmdline


# Basic OS Configuration
keyboard --vckeymap=us --xlayouts=''
lang en_US.UTF-8
timezone US/Central --isUtc


# Network Configuration
network  --bootproto=dhcp --device=ens32 --noipv6 --activate


# Authentication & User Configuration
auth --enableshadow --passalgo=sha512
rootpw --iscrypted $6$oT2KvgZtckpdxP/M$/3B8qibkoQIHQ6OqjrO79snvI8HPKQtIbuL0ZQuJtbc5sO3ykz4mGdiSu8dF5.mISOEk6nVD5RxsqA.i6vw/8/


# Disk Configuration
ignoredisk --only-use=sda,sdb
clearpart --all --initlabel --drives=sda,sdb
bootloader --append=" crashkernel=auto" --location=mbr --boot-drive=sda
part /boot --ondisk=sda --asprimary --size=1000 --type=xfs
part pv.01 --ondisk=sda --asprimary --size=1 --grow
volgroup centos pv.01
logvol swap --name=swap --vgname=centos --hibernation
logvol / --name=root --vgname=centos --size=1 --grow
part /data1 --ondisk=sdb --asprimary --size=1 --grow



# Services Configuration
services --enabled="chronyd"


# Package Configuration
%packages
@core
kexec-tools
chrony

%end

# Post Installation Configuration
%post

%end



# Kickstart AddOn Configuration
%addon com_redhat_kdump --enable --reserve-mb='auto'
%end


# Anaconda Configuration
%anaconda
pwpolicy root --minlen=6 --minquality=1 --notstrict --nochanges --notempty
pwpolicy user --minlen=6 --minquality=1 --notstrict --nochanges --emptyok
pwpolicy luks --minlen=6 --minquality=1 --notstrict --nochanges --notempty
%end
